//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//                                                                                                          //
//                                                 TM                                                       //
//                                     Intelligrill   Feather Client Setup                                  //
//                                                                                                          //
//                                                                                                          //
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

//
//             TM
// Intelligrill   Feather Setup.
//
// Copyright (c) 2017 by Zumwalt Properties, LLC., All Rights Reserved.
//
//             TM
// Intelligrill   is a registered trademark of Zumwalt Properties, LLC., All Rights Reserved
//

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                                        TM
//                            Intelligrill   Feather Setup Not Allowed Client Web Page
//
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

void IntelligrillSetupNotAllowed()
{
   // Start of web page string.
   
   String      sContent =
   
   "<!DOCTYPE HTML>\n"
    
    "<html>\n"
    "<head>\n"
    "<meta name='viewport' content='width=device-width, initial-scale=1.0'>\n"
    "<style>\n"
    "body{font-size:18px;}\n"
    "table{border-spacing: 2px;}"
    "</style>\n"
    "</head>\n"
  
    // Start of body.
    
    "<body>\n"

      //  Heading.
      
      "<h3 align='center'>Intelligrill &trade; Setup Disabled.</h3>\n"
      "<h5 align='center'>For security purposes, you must select the</h5>"
      "<h5 align='center'>'IP Address' display on the Intelligrill to</h5>\n"
      "<h5 align='center'>enable access to Intelligrill &trade; Setup.</h5><br>\n"
      
      // Centered Intelligrill logo.
      
      "<div align='center'><p></p>\n" 
      "<form action='http://intelligrill.com'>\n"
      "<input type='image' src=" + sIntelligrillLogo + ">\n"
      "</form>\n"
      "</div>\n"
                               
    // End of body.

    "<body>\n"

  // End of string.

  ;
  
  // Send the string.
  
  esp8266Server.send(200, "text/html", sContent);
}

//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//
//                                               TM
//                                   Intelligrill   Feather Setup Client Web Page
//
//
//////////////////////////////////////////////////////////////////////////////////////////////////////////////

void IntelligrillSetup() 
{
  // Start of web page string.
   
   String      sContent = 
  
   "<!DOCTYPE HTML>\n"
    
    "<html>\n"
    "<head>\n"
    "<meta name='viewport' content='width=device-width, initial-scale=1.0'>\n"
    "<style>\n"
    "body{font-size:18px;}\n"
    "table{border-spacing: 2px;}"
    "</style>\n"
    "</head>\n"
  
    // Start of body.  On load, start the Update() function.
    
    "<body>\n"
  
        // Start of form.
        
        "<form action='/setup' method='POST'>\n"

          // Use a 5 row by 2 column table to format the Intelligrill presentation.
          
          "<table width='100%' align='center'>\n"
  
              // Table caption.
              
              "<caption><b>Intelligrill &trade;</b><br>Connected to " + String(sSsidIntelligrill) + "</br><p></p></caption>\n"
  
              // First row of table is access point ssid label and field.
              
              "<tr>\n"
                  "<td align='left'>Intelligrill ssid:</td>\n"
                  "<td align='right'><input type='text' name='ssidi' maxlength='32' value='" + sSsidIntelligrill + "'></td>\n"
              "</tr>\n"
   
              // Second row of table is wifi ssid label and field.
              
              "<tr>\n"
                  "<td align='left'>Wifi ssid:</td>\n"
                  "<td align='right'><input type='text' name='ssid' maxlength='32' value='" + sSsid + "'></td>\n"
              "</tr>\n"
   
              // Third row of table is wifi password label and field.
              
              "<tr>\n"
                  "<td align='left'>Intelligrill & Wifi password:</td>\n"
                  "<td align='right'><input type='password' name='password' maxlength='32' value='" + sPassword + "'></td>\n"
              "</tr>\n"

              // Fourth row of table is submit and reset buttons.
              
              "<tr>\n"
                  "<td align='left'><input type='submit' value='Save'></td>\n"
                  "<td align='right'><input type='reset' value='Undo'></td>\n" 
              "</tr>\n"
              
          // End of table.
          
          "</table>\n\n"
    
        // End of form.
        
        "</form>\n"

      // Centered Intelligrill logo.
      
      "<div align='center'><br></br>\n" 
      "<form action='http://intelligrill.com'>\n"
      "<input type='image' src=" + sIntelligrillLogo + ">\n"
      "</form>\n"
      "</div>\n"
                                           
    // End of body.
           
    "</body>\n"
  
    // End of HTML.
    
    "</html>\n\n"

    // End of string.
    
    ;

  // Send the string.
  
  esp8266Server.send(200, "text/html", sContent);
}



